petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDualSpaceSetFromOptions

sets parameters in a PetscDualSpace from the options database

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSetFromOptions(PetscDualSpace sp)

Collective on PetscDualSpace

### Input Parameter

sp -the PetscDualSpace object to set options for

### Options Database

-petscspace_degree the approximation order of the space -

### See Also

PetscDualSpaceView()

### Level

developer

### Location

src/dm/dt/dualspace/interface/dualspace.c

### Implementations

PetscDualSpaceSetFromOptions_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceSetFromOptions_Simple in src/dm/dt/dualspace/impls/simple/dspacesimple.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages